Bug 127830 - init: PANIC: segmentation violation
init: PANIC: segmentation violation
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Steve Dickson
Depends On:
  Show dependency treegraph
Reported: 2004-07-14 10:04 EDT by George
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-20 15:55:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George 2004-07-14 10:04:05 EDT
Description of problem:

When accessing an NFS mount directory, process hangs, and message is
logged in messages file

init: PANIC: segmentation violation at 0x81889288! sleeping for 30
kernel: RPC: buffer allocation failed for task ed66bca8

After reboot the system, everything goes normal for a few days, and
the problem occurs again.

Version-Release number of selected component (if applicable):

Redhat Linux WS release 3 (Taroon Update 2)

How reproducible:

Steps to Reproduce:
1. reboot the system, everyhting is good
2. wait for a few days (2 days)
3. run "ls /mnt/nfs_m"

Expected results:
ls not hang

Additional info:
Comment 1 Ernie Petrides 2004-07-14 14:12:10 EDT
Hello, George.  Could you please provide more detail on how to
reproduce this problem?  Is waiting for a few days (step 2) a
critical part of the scenario?  If so, what was happening on
both the client and server machines during the 2-day window?

It would be far more useful to us if you could provide a
faster way to reproduce this problem.

In the meantime, I'm assigning this bug to our NFS/RPC maintainter.
Comment 2 George 2004-07-14 16:00:31 EDT
Hi Ernie,

Looks waiting for a few days is important. It seems time matters. The
system was sitting idle most of the time before problem occurred. 
The NFS sever machine was serving about 50 clients and all other
clients  had no problem.
I don't know how to reproduce the problem sooner.
Comment 3 Steve Dickson 2004-07-15 21:08:56 EDT
This looks to me like VM issue.... Reassigning...
Comment 4 Ernie Petrides 2004-07-16 17:06:22 EDT
Steve, the "init: PANIC: segmentation violation" message doesn't
originate from the kernel.  My guess is that this was a symptom
of the RPC buffer allocation failure.  Plus, since the trigger
for the problem is an NFS access, it's less likely to be related
to any VM issue.

By the way, this looks like a possible dup of bug #118839, which
is assigned to you.

For now, I'm bouncing this back to you but will add Larry to the
cc: list.
Comment 5 Steve Dickson 2004-07-30 09:23:12 EDT

*** This bug has been marked as a duplicate of 118839 ***
Comment 6 Ernie Petrides 2004-09-18 02:07:24 EDT
A fix for this problem has just been committed to the RHEL3 U4
patch pool this evening (in kernel version 2.4.21-20.7.EL).
Comment 7 John Flanagan 2004-12-20 15:55:40 EST
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.